* {
}

body {
  font: 18px "Helvetica Neue", Helvetica, sans-serif;
  margin: 0;
  background: black;
}

body.idle, body.idle * {
  cursor: none; !important
}

textarea {
  font: inherit;
}

@media screen and (-webkit-min-device-pixel-ratio:0) and (max-device-width:1024px) {
  body {
    font-size: 16px;
  }
}

.room {
  display: flex;
  flex-wrap: wrap;
  margin: 0.5em;
  align-items: stretch;
  height: calc(100vh - 1em);
}

@media (orientation: portrait) {
  .room {
    flex-direction: column;
  }
}

.seat {
  padding: 1em;
  margin: 0.5em;
  position: relative;
  box-sizing: border-box;
  flex: 1;
  overflow: hidden;
  border-radius: 1em;
  transition: all 0.25s ease-in-out;
  display: flex;
  flex-direction: column;
}

.seat > video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  object-fit: cover;
}

.seat header {
  display: flex;
  align-items: center;
}

.seat > footer {
  display: flex;
  justify-content: center;
  transition: opacity 0.25s ease-out;
}

body.idle
.seat > footer {
  opacity: 0;
}

.seat button {
  margin-left: 0.75em;
  -webkit-appearance: none;
  font: inherit;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 0.25em;
  padding: 0.25em 0.5em;
  border: none;
  flex: 1;
}

.seat h3 {
  margin: 0 0.25em 0.25em 0.25em;
  font-size: 2em;
  color: rgba(255, 255, 255, 1.0);
  text-shadow: 0 0 3px black;
  opacity: 0.8;
}

.seat textarea {
  line-height: 1em;
  display: block;
  font-family: monospace;
  resize: none;
  padding: 0.25em;
  background: none;
  flex: 1;
  text-shadow: 1px 0 1px white, -1px 0 1px white, 0 1px 1px white, 0 -1px 1px white;
}

.seat textarea {
  border: none;
  outline: none;
}

.seat.me textarea {
}

.seat.me video {
  transform: scaleX(-1);
}

.room-pad {
  flex: 1;
}

#joinAudio {
  background: yellow;
  padding: 1em;
  text-align: center;
}
